Bug 972126 - jBPM Web Designer does not display any errors when validating a process with a timer that has values for both Time Cycle and Time Duration
jBPM Web Designer does not display any errors when validating a process with ...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
5.x.x
All All
high Severity high
: DR6
: 6.0.0
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 15:22 EDT by Musharraf Hussain
Modified: 2014-08-06 16:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:12:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Musharraf Hussain 2013-06-07 15:22:03 EDT
Description of problem:
BPMN 2.0 specification defines that 'timeCycle' and 'timeDuration' are mutually exclusive so one of them will be ignored if you specify both. So we should not use 'timeCycle' and 'timeDuration' for the same element. 
The Web Designer does't display any errors when validating a process which has a timer that has both delay and cycle, unless it is discovered while execution of a process instance the timer doesn't get executed properly.

Hence, the validation mechanism in the jBPM Web Designer should at least check this and show some messages to the users.

Version-Release number of selected component (if applicable):
- NA

How reproducible:
- Please follow the below steps

Steps to Reproduce:
1. Just create a simple BPMN2 process which has a Timer Intermediate Event
2. Specify some values to both "Time Cycle" and "Time Duration" properties of the Timer
3. Now try to validate the process and it won't complain and neither would tell you about both the properties being mutually exclusive

Actual results:
- Validation done with success

Expected results:
- Validation should complain/tell you about both the properties being mutually exclusive

Additional info:
Comment 3 Tihomir Surdilovic 2013-06-27 11:52:23 EDT
Fixed in Designer master.
Comment 4 Sona Mala 2013-08-29 07:21:20 EDT
Verified for BPMS ER2.

Note You need to log in before you can comment on or make changes to this bug.